Plesk Upgrade 8.1 to 8.6 Clients cant log into email

I just upgraded Plesk from version 8.1 to 8.6
clients cant login into horde email (psa-horde)
I can see clients details in Plesk.
Was able to add a new email [test] user to one domain
I can see the passord with PowerTools.
I can see this has been done with the commandline tool:

/usr/local/psa/admin/sbin/mail_auth_view  | grep test
 |           test@testdomain.com.au |     | password123 |

==> /var/log/mail.info <==
Oct 24 14:37:27 srv1 imapd: IMAP connect from @ [127.0.0.1]checkmailpasswd: FAILED: test@testdomain.com.au - no such user from @ [127.0.0.1]ERR: LOGIN FAILED, ip=[127.0.0.1]


can any please help ?  
clients are ringing up they cant access email
BakasITAsked:
Who is Participating?
 
Daniel McAllisterConnect With a Mentor President, IT4SOHO, LLCCommented:
This question has gone several days with no responses. I'm no plesk expert, and certainly cannot answer for specifics within plesk... but it looks like the IMAP server isn't configured correctly for your auth mechanism. I'm not personally familiar with plesk, so I don't even know which IMAP server you'd be using, but if you've god an LDAP auth configured vs. a MySQL one, it appears your IMAP server isn't using the right one.

Another option is that during the upgrade your iptables (firewall) settings may have been updated, so now you're blocking IMAP access entirely.

Sorry I couldn't be more help.... but I thought you deserved to get SOMETHING back!

Dan
IT4SOHO
0
 
BakasITAuthor Commented:
Thanks IT4SOHO

The problem was a mixmatch between 8.1 and 8.6 components.
 Not all the components where upgraded - in particular psa-hordemail
 Plesk8.6 now uses a poppasswd.DB rather than the popasswd shadow file
 but without the newer psa-hordemail the horde-web-frontend to mail still used the old popasswd shadow file.

 - I got around the problem by recreating the popasswd shadow file by hand so the username,password pairs could be found (and the directory from which to retrieve mail for this user)
   *This at least gave some breathing space*

 The correct approach was to upgrade every package in horde to build 8.6.
  Now it all works as expected.

 But as you so kindly answered Ill donate the points to you anyway.

 Cheers
 Sean
 
0
 
BakasITAuthor Commented:
Wasnt the answer - but as so kindly offered something I think deserves the points
0
 
BakasITAuthor Commented:
Thanks IT4SOHO

The problem was a mixmatch between 8.1 and 8.6 components.
 Not all the components where upgraded - in particular psa-hordemail
 Plesk8.6 now uses a poppasswd.DB rather than the popasswd shadow file
 but without the newer psa-hordemail the horde-web-frontend to mail still used the old popasswd shadow file.

 - I got around the problem by recreating the popasswd shadow file by hand so the username,password pairs could be found (and the directory from which to retrieve mail for this user)
   *This at least gave some breathing space*

 The correct approach was to upgrade every package in horde to build 8.6.
  Now it all works as expected.

 But as you so kindly answered Ill donate the points to you anyway.

 Cheers
 Sean
 
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.